function create_item_list()
{
   i = 0;
   while(i < total)
   {
      var _loc2_ = flashmo_item_group.flashmo_item.duplicateMovieClip("fm_item" + i,i);
      _loc2_.fm_pic.loadMovie(folder + item_filename[i]);
      _loc2_.fm_title.text = item_title[i];
      _loc2_.fm_description.text = item_description[i];
      _loc2_.no = i;
      _loc2_._y = i * fm_item_height;
      _loc2_.fm_button.onRelease = function()
      {
         getURL(item_url[this._parent.no],item_url_target[this._parent.no]);
      };
      var _loc3_ = item_number_group.item_number.duplicateMovieClip("item_number" + i,i);
      _loc3_.over = true;
      _loc3_.item_label = i + 1;
      _loc3_.item_no = i;
      _loc3_._x = Math.floor(i / no_of_row) * 29;
      _loc3_._y = i % no_of_row * 25;
      i++;
   }
   change_menu_item(0);
}
function change_item(command)
{
   if(command == "previous")
   {
      current--;
   }
   else if(command == "next")
   {
      current++;
   }
   else
   {
      current = command;
   }
   if(current < 0)
   {
      current = total - 1;
   }
   if(current >= total)
   {
      current = 0;
   }
   change_menu_item(current);
   flashmo_item_group._y = (- current) * fm_item_height;
   new mx.transitions.Tween(flashmo_item_group,"_alpha",mx.transitions.easing.Strong.easeOut,0,100,tween_duration,true);
}
function change_menu_item(no)
{
   i = 0;
   while(i < total)
   {
      var _loc2_ = item_number_group["item_number" + i];
      _loc2_.flashmo_button._visible = true;
      _loc2_.over = true;
      _loc2_.flashmo_button.onRollOver = function()
      {
         this._parent.over = false;
         this._parent._parent._parent.item_info.text = item_title[this._parent.item_no];
      };
      _loc2_.flashmo_button.onRollOut = _loc2_.flashmo_button.onDragOut = function()
      {
         this._parent.over = true;
         this._parent._parent._parent.item_info.text = "";
      };
      _loc2_.flashmo_button.onRelease = function()
      {
         change_item(this._parent.item_no);
      };
      _loc2_.onEnterFrame = function()
      {
         if(this.over == true)
         {
            this.prevFrame();
         }
         else
         {
            this.nextFrame();
         }
      };
      i++;
   }
   delete item_number_group["item_number" + no].flashmo_button.onRollOut;
   item_number_group["item_number" + no].flashmo_button._visible = false;
   item_number_group["item_number" + no].over = false;
}
stop();
flashmo_item_group.flashmo_item._visible = false;
item_number_group.item_number._visible = false;
flashmo_item_group.setMask(item_mask);
item_info.text = "";
var xml_file = "flashmo_115_scroller.xml";
var folder = "thumbnails/";
var tween_duration = 0.8;
var fm_item_height = flashmo_item_group.flashmo_item._height + 10;
var no_of_row = 10;
var item_filename = new Array();
var item_url = new Array();
var item_url_target = new Array();
var item_title = new Array();
var item_description = new Array();
var total;
var i;
var interval_id;
var current = 0;
var xml = new XML();
xml.onLoad = function()
{
   item_list.fm_item._visible = false;
   var _loc2_ = this.firstChild.childNodes;
   total = _loc2_.length;
   i = 0;
   while(i < total)
   {
      item_filename[i] = _loc2_[i].attributes.filename;
      item_url[i] = _loc2_[i].attributes.url;
      item_url_target[i] = _loc2_[i].attributes.target;
      item_title[i] = _loc2_[i].attributes.title;
      item_description[i] = _loc2_[i].attributes.description;
      i++;
   }
   create_item_list();
};
xml.load(xml_file);
xml.ignoreWhite = true;
fm_previous.onRelease = function()
{
   change_item("previous");
};
fm_next.onRelease = function()
{
   change_item("next");
};
Mouse.addListener(this);
this.onMouseWheel = function(w)
{
   if(w < 0)
   {
      change_item("next");
   }
   else
   {
      change_item("previous");
   }
};
